%define name gfax
%define version 0.3.5
%define release 1mdk

Name:		%{name}
Summary:	The GNOME FAX program.
Version:	%{version}
Release:	%{release}
Copyright:	GPL
Group:		GNOME/Applications
URL:		http://www.gmsys.com
Vendor:		MandrakeSoft
Source:		%{name}-%{version}.tar.bz2
Requires:	gnome-libs >= 1.0.40
Requires:	libglade >= 0.7
BuildRoot:	/var/tmp/%{name}-%{version}
Prefix:		/usr
Packager:	Vincent Danen <vdanen@linux-mandrake.com>


%description
Gfax is a popup tool for GNOME that easily sending facsimilies by printing to 
a fax printer.  Requires Mgetty+Sendfax or Hylafax to actually send faxes.


%prep
%setup -q


%build
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
mkdir -p $RPM_BUILD_ROOT

CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{prefix}
make 


%install
mkdir -p $RPM_BUILD_ROOT%{prefix}/bin
make prefix=$RPM_BUILD_ROOT%{prefix} install
strip $RPM_BUILD_ROOT%{prefix}/bin/* || :

mkdir -p $RPM_BUILD_ROOT%{prefix}/doc/%{name}-%{version}
install -m 644 AUTHORS COPYING ChangeLog NEWS README FAQ-gfax $RPM_BUILD_ROOT%{prefix}/doc/%{name}-%{version}

cd $RPM_BUILD_ROOT
find . -type d | sed -e '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
	$RPM_BUILD_DIR/file.list.%{name}

find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
       -e '/\/etc\//s|^|%config|' \
       -e '/\/config\//s|^|%config|' \
       >> $RPM_BUILD_DIR/file.list.%{name}

find . -type l | sed -e 's,^\.,\%attr(-\,root\,root) ,' >> \
	$RPM_BUILD_DIR/file.list.%{name}


%clean
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
rm -rf $RPM_BUILD_DIR/file.list.%{name}
rm -rf $RPM_BUILD_DIR/%{name}


%post
# Set up the lpr link
BINDIR=/usr/bin
LPRBINDIR=/usr/bin

if [ ! -x $LPRBINDIR/lpr.dist ]; then
        mv $LPRBINDIR/lpr $LPRBINDIR/lpr.dist
        ln -s $BINDIR/lpr.gfax $BINDIR/lpr
        chmod +x $BINDIR/lpr
fi


%postun
# Reset the lpr link
BINDIR=/usr/bin
LPRBINDIR=/usr/bin

if [ -x $LPRBINDIR/lpr.dist ]; then
        rm -rf $LPRBINDIR/lpr
        mv $LPRBINDIR/lpr.dist $LPRBINDIR/lpr
fi


%files -f ../file.list.%{name}
%defattr(-,root,root,0755)


%changelog
* Tue Feb 15 2000 Lenny Cartier <lenny@mandrakesoft.com>
- new in contribs
- used srpm provided by Vincent Danen <vdanen@linux-mandrake.com>

* Tue Dec 28 1999 Vincent Danen <vdanen@linux-mandrake.com>
- 0.3.5:
- - Added deleteFile to destination struct. Faxing from "Fax File" will no 
    longer delete your file and we can use this later for multiple faxing.
- - Added fax.allow and fax.deny file administration to gfax.
- - Removed fixed size for setup window.  Should work better with themes.
- - Removed all the signal calls from setup. Using autoconnect now.
- - Added the capability to enable or disable running faxrunq from cron.
- - Gfax properly deletes the tempory filename if the Exit button is pressed.

* Sun Dec 26 1999 Vincent Danen <vdanen@linux-mandrake.com>
- bzip sources
- wrote specfile for Mandrake contribs
